Package org.apache.qpid.proton.codec

# Class DynamicDescribedType

java.lang.Object
org.apache.qpid.proton.codec.DynamicDescribedType

All Implemented Interfaces:
  `AMQPType<DescribedType>`

public class DynamicDescribedType extends Object implements AMQPType<DescribedType>

## Constructor Summary

Constructors
Constructor
Description
`DynamicDescribedType(EncoderImpl encoder, Object descriptor)`

## Method Summary

Modifier and Type
Method
Description
`Collection<TypeEncoding<DescribedType>>`
`getAllEncodings()`
`TypeEncoding<DescribedType>`
`getCanonicalEncoding()`
`TypeEncoding<DescribedType>`
`getEncoding(DescribedType val)`
`Class<DescribedType>`
`getTypeClass()`
`void`
`write(DescribedType val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DynamicDescribedType

public DynamicDescribedType(EncoderImpl encoder, Object descriptor)

## Method Details

### getTypeClass

public Class<DescribedType> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<DescribedType>`

### getEncoding

public TypeEncoding<DescribedType> getEncoding(DescribedType val)

Specified by:
  `getEncoding` in interface `AMQPType<DescribedType>`

### getCanonicalEncoding

public TypeEncoding<DescribedType> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<DescribedType>`

### getAllEncodings

public Collection<TypeEncoding<DescribedType>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<DescribedType>`

### write

public void write(DescribedType val)

Specified by:
  `write` in interface `AMQPType<DescribedType>`